Transaction
Transaction, as described here, are managed via the following endpoints.
Endpoints
For information only. Full, normative endpoint definitions in the Swagger documentation.
| Endpoint | Description | Role |
|---|---|---|
| GET /orgs/:orgId/transactions/upload_url | Get a temporary, secure, pre-signed URL for direct SBD file upload. The url is valid for 30 minutes. A query parameter 'ap' indicating the access point to use must be provided. | orgmember |
| POST /orgs/:orgId/transactions | Upload an SBD file and send it in one single operation. A query parameter 'ap' indicating the access point to use must be provided. | orgmember |
| GET /orgs/:orgId/transactions/from_network | List the inbound (received) transactions for the organisation | orgmember |
| GET /orgs/:orgId/transactions/to_network | List the outbound (sent) transactions for the organisation | orgmember |
| GET /orgs/:orgId/transactions/:transactionId | Get a transaction | orgmember |
| GET /orgs/:orgId/transactions/:transactionId/artefacts | List the artefacts for the transaction | orgmember |
Example Transaction datatype
{
"id": "f02d4d7f-fd2e-466b-814f-df72804de794",
"transportProfile": "peppol-transport-as4-v2_0",
"senderId": "0002:592300963",
"receiverId": "0002:592300963",
"docTypeId": "urn:oasis:names:specification:ubl:schema:xsd:Invoice-2::Invoice##urn:cen.eu:en16931:2017#compliant#urn:fdc:peppol.eu:2017:poacc:billing:3.0::2.1",
"processId": "urn:fdc:peppol.eu:2017:poacc:billing:01:1.0",
"senderCountry": "FR",
"receiverCountry": "FR",
"senderSP": "PSE000778",
"receiverSP": "PSE000778",
"docInstanceId": "2ac08ea6-b783-4991-af6b-c7bf68a1df1a",
"transactionStatus": "COMPLETED",
"createdAt": "2025-09-18T10:24:19.058318697Z"
}